Package com.google.android.exoplayer2.mediacodec

## Class SynchronousMediaCodecAdapter.Factory

- java.lang.Object
- - com.google.android.exoplayer2.mediacodec.SynchronousMediaCodecAdapter.Factory

- All Implemented Interfaces:
    `MediaCodecAdapter.Factory`
  Enclosing class:
    SynchronousMediaCodecAdapter

      public static class SynchronousMediaCodecAdapter.Factory
      extends Object
      implements MediaCodecAdapter.Factory

  A factory for `SynchronousMediaCodecAdapter` instances.

- - ### Field Summary

    - ### Fields inherited from interface com.google.android.exoplayer2.mediacodec.MediaCodecAdapter.Factory

      `DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaCodecAdapter` | `createAdapter​(MediaCodecAdapter.Configuration configuration)` | Creates a `MediaCodecAdapter` instance.
    `protected MediaCodec` | `createCodec​(MediaCodecAdapter.Configuration configuration)` | Creates a new `MediaCodec` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### createAdapter

          public MediaCodecAdapter createAdapter​(MediaCodecAdapter.Configuration configuration)
                                          throws IOException

      Description copied from interface: `MediaCodecAdapter.Factory`
      Creates a `MediaCodecAdapter` instance.
      Specified by:
        `createAdapter` in interface `MediaCodecAdapter.Factory`
      Throws:
        `IOException`

    - #### createCodec

          protected MediaCodec createCodec​(MediaCodecAdapter.Configuration configuration)
                                    throws IOException

      Creates a new `MediaCodec` instance.
      Throws:
        `IOException`